Bug 852935 (CVE-2012-2871) - CVE-2012-2871 libxslt: Heap-buffer overflow caused by bad cast in XSL transforms
Summary: CVE-2012-2871 libxslt: Heap-buffer overflow caused by bad cast in XSL transforms
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-2871
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 835983 852942 852943 852945 852946
Blocks: 852939
TreeView+ depends on / blocked
 
Reported: 2012-08-30 03:38 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 12:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 16:48:24 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1265 0 normal SHIPPED_LIVE Important: libxslt security update 2012-09-13 21:00:20 UTC

Description Huzaifa S. Sidhpurwala 2012-08-30 03:38:55 UTC
A heap-buffer overflow flaw was found in libxslt, a C library which allows to transform XML files into other XML files (or HTML, text, ...) using the standard XSLT stylesheet transformation mechanism. It was found that when applying templates to nodes selected by "namespace::*", a out-of-bounds read is performed. Later, this value is used during unlinking of nodes, leading to a WRITE error in xmlUnlinkNode().

Reference:
https://code.google.com/p/chromium/issues/detail?id=138673

Upstream patch:
http://git.gnome.org/browse/libxslt/commit/?id=937ba2a3eb42d288f53c8adc211bd1122869f0bf

Comment 5 Huzaifa S. Sidhpurwala 2012-08-31 04:10:46 UTC
Public via:
http://googlechromereleases.blogspot.in/2012/08/stable-channel-update_30.html

Comment 6 errata-xmlrpc 2012-09-13 17:44:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html

Comment 7 errata-xmlrpc 2012-09-13 17:48:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1265 https://rhn.redhat.com/errata/RHSA-2012-1265.html

Comment 8 Vincent Danen 2012-09-13 20:12:22 UTC
Created libxslt tracking bugs for this issue

Affects: fedora-all [bug 835983]

Comment 9 Fedora Update System 2012-09-26 09:11:43 UTC
libxslt-1.1.26-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-09-27 04:26:55 UTC
libxslt-1.1.26-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-12-09 06:31:10 UTC
libxslt-1.1.27-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.